function param=id2ids(C,index)
% Translates a single index into a set of chirplet parameters
% param = id2ids(C,index);

F=size(C,1);
T=size(C,2);
param=zeros(3,length(index));

for ind=1:length(index);
  tmp=index(ind)-1;
  c=(tmp-mod(tmp,F*T))/(F*T);

  tmp=tmp-c*F*T;
  t=(tmp-mod(tmp,F))/F;

  f=tmp-t*F;
  
  param(:,ind)=[f+1; t+1; c+1];
end
